### Function

# GObject pointer_type_register_static

since: 2.0

#### Declaration

    GType
    g_pointer_type_register_static (
      const gchar* name
    )

#### Description

Creates a new `G_TYPE_POINTER` derived type id for a new pointer type with name `name`.

Available since: 2.0

#### Parameters

`name`

  Type: `const gchar*`

  The name of the new pointer type.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GType`

A new `G_TYPE_POINTER` derived type id for `name`.